## org.pentaho.reporting.libraries.formula.function.math
Class SumFunction

    java.lang.Object
      org.pentaho.reporting.libraries.formula.function.math.SumFunction

All Implemented Interfaces:
  java.io.Serializable, Function

Direct Known Subclasses:
  SumAFunction

    public class SumFunction

extends java.lang.Object
implements Function

Creation-Date: 31.10.2006, 17:39:19

Author:
  Thomas Morgner
See Also:
  Serialized Form

Field Summary
`static java.math.BigDecimal` `ZERO`

Constructor Summary
`SumFunction()`

Method Summary
`TypeValuePair` `evaluate(FormulaContext context, ParameterCallback parameters)`
`java.lang.String` `getCanonicalName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZERO

    public static final java.math.BigDecimal ZERO

Constructor Detail

### SumFunction

    public SumFunction()

Method Detail

### getCanonicalName

    public java.lang.String getCanonicalName()

  Specified by:
    `getCanonicalName` in interface `Function`

### evaluate

    public TypeValuePair evaluate(FormulaContext context,
                                  ParameterCallback parameters)
                           throws EvaluationException

  Specified by:
    `evaluate` in interface `Function`
  Throws:
    `EvaluationException`